Description

Hey,

It would be nice to be able to add parameters to locations as oppose just host groups.

We might want a specific set of data tied to a location that is a set of parameters, which then would enable you to inherit that data for

your hostgroup. i.e. i might want

Location/Datacentre/Datacentre_hall -> which would contain a set of parameters tied to that hall

When i add a new host, i would choose it's location and then the hostgroup i.e. role of the server it belongs to.

Currently i have locations and then a load of hostgroups for al the varying locations.

Associated revisions

Revision 2de7832d - 01/15/2014 04:48 PM - Ohad Levy

fixes #3099 - Adding parameters to locations and organizations

History

#1 - 09/16/2013 10:59 AM - Dominic Cleal

- Category set to Organizations and Locations

- Target version deleted (1.3.0)

#2 - 09/16/2013 03:02 PM - Jon Shanks

To add clarity. If i have a set of data tied to a location i want to define it at a location level. Not have to create a host group, named the same name as

the location to then associate with the location. as it's duplicating elements.

#3 - 11/21/2013 01:35 PM - Dominic Cleal

- Status changed from New to Assigned

- Assignee set to Amos Benari

- Target version set to 1.10.0

#4 - 12/04/2013 01:11 PM - Dominic Cleal

- Target version changed from 1.10.0 to 1.9.3

#5 - 01/09/2014 08:16 AM - Ohad Levy

what would be the order of override e.g.

currently

if something is defined in the hostgroup, it can be overridden per host, and normally the order is:

global -> domain -> os -> hostgroup -> host
where would we put org and locations?

#6 - 01/09/2014 09:43 AM - Ohad Levy

- Status changed from Assigned to Ready For Testing

- Assignee changed from Amos Benari to Ohad Levy

https://github.com/theforeman/foreman/pull/1136

#7 - 01/09/2014 02:09 PM - Anonymous

- Target version changed from 1.9.3 to 1.9.2

#8 - 01/09/2014 03:45 PM - Jon Shanks

Hey,

I guess from my point of view, as a user, it would be

global -> location -> domain -> OS -> Hostgroup -> host

As you may tie many domains to locations so you would want a location to be the top and global wouldn't be global if it was placed beneath

something more global.

Thanks

Jon

#9 - 01/15/2014 11:24 AM - Ohad Levy

what about orgs, on top of locations on the other way around? I tend to put them on top, but that's just my preference.

#10 - 01/15/2014 11:31 AM - Jon Shanks

Hey.

Yep that makes sense to me too ;-) .

I'd logically think of it as an organization have a presence in one or many locations as oppose a location having one or more organizaional presences

when it comes to the infrasdtructure as the infrastructure really ties to the organization first and foremost.

Jon

#11 - 01/15/2014 04:48 PM - Dominic Cleal

- translation missing: en.field_release set to 2

Thanks for the feedback Jon, very useful.

#12 - 01/15/2014 05:31 PM - Ohad Levy

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 2de7832d6970797dc2e7c8247502d8bf130445b2.
